﻿@using System.Security.Claims
@using Microsoft.AspNetCore.Http
@inject IHttpContextAccessor _httpContextAccessor

<AuthorizeView>
    <Authorized>
        <a class="btn btn-group-sm btn-toolbar btn-sm btn-outline-secondary" type="button" href="/profile">
            <img src="@context.User.FindFirst("urn:google:image").Value" class="rounded-circle rounded-sm" style="max-height:30px;" />&nbsp;
            <span class="col-form-label text-light"> @context.User.Identity.Name</span>
        </a>&nbsp;&nbsp;
        <a href="Identity/Account/LogOut" class="btn btn-info btn-sm text-light"><span class="oi oi-power-standby"></span> Log Out</a>
    </Authorized>
    <NotAuthorized>
        <a class="btn btn-info btn-sm text-light" onclick="location.href='/ExternalLogin'"><span class="oi oi-account-login"></span> Log In</a>
    </NotAuthorized>
</AuthorizeView>